function varargout = disp_sensor( flag, varargin)  % TEXFEM

% Copyright (C) 2001 Matthew W. Roberts
% Released under the GNU Public License (See end of file for details.)

% varargin{1} = data structure
% varargin{2} = dispacements

switch flag
	case 'sensor-output'
		% All I need are the displacement values
		varargout{1} = zeros(6,1);
		varargout{1}( varargin{1}.active_dofs) = varargin{2}( varargin{1}.active_dofs);
	otherwise
		warning(['disp_sensor: Unknown option ''' flag '''.']);
end

% --------------------------------------------------------------------------

% {TEX} A simple displacement sensor.  It outputs, unfiltered, the displacement
% {TEX} at the node.  The 

% Required Data Fields
% {TEXRD} active_dofs:A vector with the degrees of freedom that the sensor reports.
% {TEXRD} For example, a simple sensor that reports only the displacement in the
% {TEXRD} $x$-direction would set {\tt sensor_data.active_dofs = 1}.

% Licence Details

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
