function  problem_header ( fid, data, options)
%
% function  problem_header ( fid, data, options)
% 
% Prints a problem header for the `data' problem structure
% to the file descriptor `fid'.  Currently options does nothing.


if isfield(data,'problem_name')
	pr( fid, '%s\n', data.problem_name);
end

pr( fid, '%s\n', datestr(now,0));

pr( fid, '%d nodes\n',    data.num_nodes);
pr( fid, '%d elements\n', data.num_elements);

pr( fid, 'Element types:\n');
for x = 1 : data.num_elements
	pr( fid, '%03d: %s\n', x, data.elements(x).type);
end

if isfield( data, 'scale')
	pr( fid, 'Input scale:  %f\n', data.scale);
end
function pr( fid, str, varargin)
	pre = '# ';
	fprintf( fid, ['%s' str] , pre, varargin{:});


%  GNUFEM -- A free finite element code for Matlab
%
% Licence Details and Credits:
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%
% Adapted from the FElt Finite Element package by Jason I. Gobat
% and Darren C. Atkinson 
