function Mnew = matrix_clean( M, tolerance)
%
% SYNOPSIS:
%
% function Mnew = beam3d(M, tolerance)
%
% Sets all entries of M that are less than `eps * 10^tolerance' to exactly
% zero and returns the result in Mnew
%
% The `tolerance' argument is optional.  If it is ommited, the default
% `tolerance = 0' will be used.

% Copyright (C) 2001 Matthew W. Roberts

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

% Adapted from the FElt Finite Element package by Jason I. Gobat
% and Darren C. Atkinson 

Mnew = M;

if nargin < 2
	[i j] = find( abs(Mnew) < eps);
else
	[i j] = find( abs(Mnew) < 10 ^ tolerance * eps);
end


for x = 1 : length(i)
	Mnew( i(x), j(x)) = 0.0;
end
