function Mnew = matrix_mirror( M)
%
% SYNOPSIS:
%
% function Mnew = beam3d(M)
%
% Returns a symmetric matrix Mnew by mirroring the upper diagonal
% entries of M into the lower diagonal.

% Copyright (C) 2001 Matthew W. Roberts

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

% Adapted from the FElt Finite Element package by Jason I. Gobat
% and Darren C. Atkinson 

if size(M,1) ~= size(M,2)
	error( 'Matrix must be square');
end

Mnew = M;

for i = 2 : size(M,1)
	for j = 1 : i - 1
		Mnew(i,j) = M(j,i);
	end
end
