function varargout = printout( flag, varargin)
%
% SYNOPSIS:
%
% function varargout = printout(flag, varargin)
%
% Prints out various parts of a finite element problem depending
% on the flag passed in.

% Copyright (C) 2001 Matthew W. Roberts
% Released under the GNU Public License (See end of file for details.)


switch flag
	case 'nodal-loads'
		varargout{1} = local_nloads(varargin{:});
	otherwise
		warning(['print_out: Unknown option ''' flag '''.']);
end

% --------------------------------------------------------------------------

function str = local_nloads(nodal_loads)

load_names = [ 'Fx'; 'Fy'; 'Fz'; 'Mx'; 'My'; 'Mz' ];

disp( sprintf( '%6s %s', 'Node', 'Magnitude'));
for n = 1 : size( nodal_loads)
	disp( sprintf( '%6d %s=%d', nodal_loads(n,1), ...
		load_names(nodal_loads(n,3),:), nodal_loads(n,2)));
end

str = [];


% Licence Details

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
